Skip to main content
POST
/
xero
/
sync
Sync transactions to Xero
curl --request POST \
  --url https://api.breezing.io/v1/xero/sync \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": [
    1
  ]
}
'
{
  "success": true,
  "data": {
    "syncedCount": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://learn.breezing.io/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

org_id
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

company_id
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Body

application/json
ids
integer[]
required

Transaction IDs to sync (1-1000). Each must belong to this company and be unlocked.

Required array length: 1 - 1000 elements
Required range: x > 0

Response

Sync completed

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on May 3, 2026